ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Reinoud van Santen (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-12041) Wrong version in YUM repository URL when adding hosts to an existing cluster
Date Sat, 20 Jun 2015 13:18:00 GMT
Reinoud van Santen created AMBARI-12041:
-------------------------------------------

             Summary: Wrong version in YUM repository URL when adding hosts to an existing
cluster
                 Key: AMBARI-12041
                 URL: https://issues.apache.org/jira/browse/AMBARI-12041
             Project: Ambari
          Issue Type: Bug
    Affects Versions: 2.0.0
            Reporter: Reinoud van Santen


When adding new hosts to an existing cluster the URL's of the repositories that are deployed
to the new hosts contain the wrong version number. Also the URL's shown in the last step of
the wizard that ads the hosts are wrong. The Ambari installation only defines one version:
HDP-2.2.4.2-2 containing only repository URLs for CentOS 6 with the following values:

HDP: http://public-repo-1.hortonworks.com/HDP/centos6/2.x/updates/2.2.4.2
HDFS: http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.20/repos/centos6

When running through the wizard to add the hosts the "Review" step shows the following repository
URL's for CentOS 6, but also it shows repository URL's for OS'es that where not defined in
the version configuration:

redhat6 (HDP-2.2): 
http://public-repo-1.hortonworks.com/HDP/centos6/2.x/updates/2.2.6.0
redhat6 (HDP-UTILS-1.1.0.20): 
http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.20/repos/centos6

These URL's differ from the URL's defined in the version configuration. Deploying this version
to the new hosts results in a failure to install required components. When installing the
DataNode the following error occurs:

{quote}
2015-06-20 13:15:30,417 - Error while executing command 'install':
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 216, in execute
    self.set_version()
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 481, in set_version
    sudo = True)
  File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 148, in __init__
    self.env.run()
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 152,
in run
    self.run_action(resource, action)
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 118,
in run_action
    provider_action()
  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/system.py", line
274, in action_run
    raise ex
Fail: Execution of '/usr/bin/hdp-select set hadoop-hdfs-datanode 2.2.4.2-2' returned 1. ERROR:
Invalid version 2.2.4.2-2

Valid choices:
2.2.6.0-2800
{quote}

Due to this situation we are unable to add new hosts to our cluster. Please let me know if
more information is required.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message